Package org.linphone.core

# Enum Class IceState

java.lang.Object
java.lang.Enum<IceState>
org.linphone.core.IceState

All Implemented Interfaces:
  `Serializable`, `Comparable<IceState>`, `Constable`

public enum IceState extends Enum<IceState>
Enum describing ICE states.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Failed`
ICE processing has failed.
`HostConnection`
ICE has established a direct connection to the remote host.
`InProgress`
ICE process is in progress.
`NotActivated`
ICE has not been activated for this call or stream.
`ReflexiveConnection`
ICE has established a connection to the remote host through one or several
NATs.
`RelayConnection`
ICE has established a connection through a relay.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static IceState`
`fromInt(int value)`
`protected static IceState[]`
`fromIntArray(int[] values)`
`int`
`toInt()`
`protected static int[]`
`toIntArray(IceState[] values)`
`static IceState`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static IceState[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NotActivated

public static final IceState NotActivated
ICE has not been activated for this call or stream.

### Failed

public static final IceState Failed
ICE processing has failed.

### InProgress

public static final IceState InProgress
ICE process is in progress.

### HostConnection

public static final IceState HostConnection
ICE has established a direct connection to the remote host.

### ReflexiveConnection

public static final IceState ReflexiveConnection
ICE has established a connection to the remote host through one or several
NATs.

### RelayConnection

public static final IceState RelayConnection
ICE has established a connection through a relay.

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static IceState[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static IceState valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static IceState fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### fromIntArray

protected static IceState[] fromIntArray(int[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toIntArray

protected static int[] toIntArray(IceState[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()